Bug 220696 - [NEW PORT] sysutils/py-filelock: Platform independent file lock
Summary: [NEW PORT] sysutils/py-filelock: Platform independent file lock
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Yuri Victorovich
URL:
Keywords: feature
Depends on:
Blocks:
 
Reported: 2017-07-13 02:41 UTC by Yuri Victorovich
Modified: 2017-11-02 06:10 UTC (History)
2 users (show)

See Also:
koobs: maintainer-feedback+


Attachments
shar (1.74 KB, text/plain)
2017-07-13 02:41 UTC, Yuri Victorovich
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Yuri Victorovich freebsd_committer 2017-07-13 02:41:06 UTC
Created attachment 184316 [details]
shar

Builds in poudriere.
Comment 1 Kubilay Kocak freebsd_committer freebsd_triage 2017-07-14 12:11:50 UTC
Thank you Yuri.

The port specifies USES=python, but setup.py states (notably *without* a ":: 2" counterpart):

"Programming Language :: Python :: 3",

Further, in the documentation installation instructions, pip3 (specifically) is cited for installation, hinting strongly that only Python 3 is supported, or at least preferred by the developer

Please investigate the actual versions the package supports and and declare/limit USES=python to all versions of Python that are supported by upstream.

Also, in future if more detail could be added about what has been tested / confirmed to pass QA with poudriere, that would be appreciated. What versions, architectures, options, etc. 

For Python package ports, testing with at least Python 2 and 3 versions for dual version supporting packages is highly desirable.

[1] https://filelock.readthedocs.io/en/latest/
Comment 2 Yuri Victorovich freebsd_committer 2017-07-14 17:06:17 UTC
Kubilay,

This port works in both python 2 and 3, I verified. "Python :: 3" in its setup.py is a mistake.
I am submitting this port to support one upcoming large and old chemistry visualization port that uses python2.

Should USES=python suffice in this case?

Yuri
Comment 3 Kubilay Kocak freebsd_committer freebsd_triage 2017-07-15 03:04:25 UTC
(In reply to Yuri Victorovich from comment #2)

Yep that's fine for now, thank you Yuri
Comment 4 Yuri Victorovich freebsd_committer 2017-07-15 03:13:22 UTC
The upstream bug report: https://github.com/benediktschmitt/py-filelock/issues/20
Comment 5 commit-hook freebsd_committer 2017-11-02 06:09:55 UTC
A commit references this bug:

Author: yuri
Date: Thu Nov  2 06:09:43 UTC 2017
New revision: 453338
URL: https://svnweb.freebsd.org/changeset/ports/453338

Log:
  New port: sysutils/py-filelock: Platform independent file lock

  PR:		220696
  Reviewed by:	tcberner (mentor)
  Differential Revision:	https://reviews.freebsd.org/D12903

Changes:
  head/sysutils/Makefile
  head/sysutils/py-filelock/
  head/sysutils/py-filelock/Makefile
  head/sysutils/py-filelock/distinfo
  head/sysutils/py-filelock/pkg-descr